OpenJIT

Distribution

 

** THE LASTEST VERSION OF OPENJIT IS 1.1.16 **

OpenJIT is distributed under the terms of a BSD-like license.

Supported Environments

OpenJIT-1.1.16 runs on environments as shown below:

The snapshot version of OpenJIT runs on environments as shown below:

Requirements

To use OpenJIT, Java™ class library and JavaVM™ distributed with JDK 1.1.x are required. Please download JDK 1.1 or later and install it on your system, separately. The current version of OpenJIT was tested on multiple JDK packages as below:

And to build OpenJIT will require the following tools:

Pacakges

Source Packages

http://www.openjit.org/dist/OpenJIT-1.1.9.tar.gz.md5

Binary Packages

Binary packages of the latest version of OpenJIT (OpenJIT-1.1.16) are not yet available.

Solaris (SPARC) + JDK 1.1.8 (Javasoft)
OpenJIT-1.1.7-sparc-solaris-jdk118.tar.gz
OpenJIT-1.1.7-sparc-solaris-jdk118.tar.gz.md5
Solaris (SPARC) + JDK 1.2.2 (Javasoft)
OpenJIT-1.1.7-sparc-solaris-jdk122.tar.gz
OpenJIT-1.1.7-sparc-solaris-jdk122.tar.gz.md5
Linux (x86) + JDK 1.1.7v3 (Blackdown)
OpenJIT-1.1.7-x86-linux-jdk117v3.tar.gz
OpenJIT-1.1.7-x86-linux-jdk117v3.tar.gz.md5
Linux (x86) + JDK 1.2pre2 (Blackdown)
OpenJIT-1.1.7-x86-linux-jdk1.2pre2.tar.gz
OpenJIT-1.1.7-x86-linux-jdk1.2pre2.tar.gz.md5
FreeBSD 2.2.8 (x86) + JDK 1.1.8_ELF.V1999-11-9 (FreeBSD.Org)
OpenJIT-1.1.7-x86-freebsd2-jdk118.tar.gz
OpenJIT-1.1.7-x86-freebsd2-jdk118.tar.gz.md5
FreeBSD 3.3 (x86) + JDK 1.1.8_AOUT.V1999-11-9 (FreeBSD.Org)
OpenJIT-1.1.7-x86-freebsd3-jdk118.tar.gz
OpenJIT-1.1.7-x86-freebsd3-jdk118.tar.gz.md5

openjit@is.titech.ac.jp